Jump to content

Upgrade from v5.2.26.0 to 5.3.33.0 failed


pedala
 Share

Recommended Posts

I tried to upgrade our ERA server from v5.2.26.0 to 5.3.33.0 and i received the following error message: ESET Remote Administrator Server Setup Wizard ended due to an error.

 

In the install log only the following error was present:

 

<2016-02-29 14:40:41> Creating certificates...
<2016-02-29 14:40:44> Operation failed: CertCreateSelfSignCertificate error (Code=87)
<2016-02-29 14:40:44> SelfSigned certificate were not installed properly. HTTPS protocol will be inaccessible.
<2016-02-29 14:40:44> InstallAbort: Entered
 
I tried reinstalling the old version, same outcome.
 
I tried to do a fresh install on another machine with the same error.
 
 
Do you have any ideas regarding this issue?
Link to comment
Share on other sites

Same error here with a fresh install of 5.3.33.0 on Server 2008 R2 fully updated. I'm suspecting a recent Windows Update  ...

 

All searches around the net yeild no solution, not even a trace of this specific error so it must be something very recent. 

 

Please advise!

Link to comment
Share on other sites

This is not a Windows patch issue. There must be a bug in ESET for leap day. Most probably due to adding time (year) to self-signed certificate, which would result in an invalid end date.

 

See seventh parameter for CertCreateSelfSignCertificate API.

 

Recommend passing NULL, or learning how to account for leap year for ERA.

 

You're welcome!

Link to comment
Share on other sites

  • Administrators

This bug was actually already fixed in ERA v6 but not in ERA v5 which is not being developed any more.

Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...